﻿using CefSharp;
using CefSharp.WinForms;
using Newtonsoft.Json;
using System.Windows.Forms;

namespace LyricShow.DevHost
{
    public partial class MainForm : Form
    {
        public MainForm()
        {
            InitializeComponent();
            Cef.Initialize(new CefSettings() { RemoteDebuggingPort = DevSettings.DebugPort });
            MainWebView.LoadUrl(DevSettings.MainUrl);
        }

        private void ReloadButton_Click(object sender, System.EventArgs e)
        {
            MainWebView.Reload(true);
        }

        private void PutButton_Click(object sender, System.EventArgs e)
        {
            PutLyricShowData("Brrrrrrrrrr from C# WinForms");
        }

        private void PutLyricShowData(object obj)
        {
            MainWebView.EvaluateScriptAsync($"putLyricShowData({JsonConvert.SerializeObject(obj)})");
        }
    }
}
